﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.PR.000013
         ELS Ref: V7

		     IF LENGTH([pr38]) > 200
            RETURN VALIDATION MESSAGE
         ENDIF

		     [pr38] = pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text
    -->
    <assert id="VR.ATO.PR.000013" diagnostics="DVR.ATO.PR.000013"
            test="not(
                        $pr38
                        [
                            string-length(.) > 200
                        ]
                     )"/>
    
    <!-- Rule ID: VR.ATO.PR.000020
         ELS Ref: V7

		     IF LENGTH([pr13]) > 38
             RETURN VALIDATION MESSAGE
         ENDIF

		     [pr13] = pyde.xx.xx:AddressDetails.Line1.Text
    -->
    <assert id="VR.ATO.PR.000020" diagnostics="DVR.ATO.PR.000020"
            test="not(
                        $pr13
                        [
                            string-length(.) > 38
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.PR.000021
         ELS Ref: V7

		     IF LENGTH([pr14]) > 38
             RETURN VALIDATION MESSAGE
         ENDIF

		     [pr14] = pyde.xx.xx:AddressDetails.Line2.Text
    -->
    <assert id="VR.ATO.PR.000021" diagnostics="DVR.ATO.PR.000021"
            test="not(
                        $pr14
                        [
                            string-length(.) > 38
                        ]
                     )"/>

    
    <!-- Rule ID: VR.ATO.PR.000023
         ELS Ref: V7

		     IF LENGTH([pr19]) > 15
            RETURN VALIDATION MESSAGE
         ENDIF

		     [pr19] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.PR.000023" diagnostics="DVR.ATO.PR.000023"
            test="not(
                        $pr19
                        [
                            string-length(.) > 15
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.PR.000148
         ELS Ref: V7

		     IF LENGTH([pr41]) > 10
            RETURN VALIDATION MESSAGE
         ENDIF

		     [pr19] = pyde.xx.xx:ElectronicContact.Telephone.Mobile.Number
    -->
    <assert id="VR.ATO.PR.000148" diagnostics="DVR.ATO.PR.000148"
            test="not(
                        $pr41
                        [
                            string-length(.) > 10
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.PR.000028
         ELS Ref: V7

		     IF LENGTH([pr46]) > 15
              RETURN VALIDATION MESSAGE
         ENDIF

		     [pr46] = pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number
    -->
    <assert id="VR.ATO.PR.000028" diagnostics="DVR.ATO.PR.000028"
            test="not(
                        $pr46rptac
                        [
                            string-length(.) > 15
                        ]
                        or
                        $pr46inttac
                        [
                            string-length(.) > 15
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.PR.000176
         ELS Ref: V7

		     IF LENGTH([pr52]) > 10
              RETURN VALIDATION MESSAGE
         ENDIF

		     [pr52] = pyid.xx.xx:Identifiers.TaxAgentClientReference.Text
    -->
    <assert id="VR.ATO.PR.000176" diagnostics="DVR.ATO.PR.000176"
            test="not(
                        $pr52rptac
                        [
                            string-length(.) > 10
                        ]
                        or
                        $pr52inttac
                        [
                            string-length(.) > 10
                        ]
                     )"/>

    
    <!-- Rule ID: VR.ATO.PR.000185
         ELS Ref: V7

		     IF LENGTH([pr40]) > 50
            RETURN VALIDATION MESSAGE
         ENDIF

		     [pr40] = pyde.xx.xx:PersonNameDetails.Position.Text
    -->
    <assert id="VR.ATO.PR.000185" diagnostics="DVR.ATO.PR.000185"
            test="not(
                        $pr40
                        [
                            string-length(.) > 50
                        ]
                     )"/>


    <!-- Rule ID: VR.ATO.PR.000186
         ELS Ref: V7

		     IF LENGTH(pyde.xx.xx:PersonNameDetails.Position.Text) > 50
             RETURN VALIDATION MESSAGE
         ENDIF

		     [pr51] = pyde.xx.xx:PersonNameDetails.Position.Text
    -->
    <assert id="VR.ATO.PR.000186" diagnostics="DVR.ATO.PR.000186"
            test="not(
                        $pr51rptac
                        [
                            string-length(.) > 50
                        ]
                        or
                        $pr51inttac
                        [
                            string-length(.) > 50
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500016
         ELS Ref: V7

		     IF LENGTH(pyde.xx.xx:PersonNameDetails.FamilyName.Text) > 30
             RETURN VALIDATION MESSAGE
         ENDIF

		    [pr10] = pyde.xx.xx:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.500016" diagnostics="DVR.ATO.GEN.500016"
            test="not(
                        $pr10
                        [
                            string-length(.) > 30
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500017
         ELS Ref: V7

		     IF LENGTH(pyde.xx.xx:PersonNameDetails.GivenName.Text) > 15
             RETURN VALIDATION MESSAGE
         ENDIF

		    [pr11] = pyde.xx.xx:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.500017" diagnostics="DVR.ATO.GEN.500017"
            test="not(
                        $pr11
                        [
                            string-length(.) > 15
                        ]
                     )"/>

    
    <!-- Rule ID: VR.ATO.GEN.500020
         ELS Ref: V7

		     IF LENGTH(pyde.xx.xx:AddressDetails.LocalityName.Text) > 27
            RETURN VALIDATION MESSAGE
         ENDIF

		    [pr15] = pyde.xx.xx:AddressDetails.LocalityName.Text
    -->
    <assert id="VR.ATO.GEN.500020" diagnostics="DVR.ATO.GEN.500020"
            test="not(
                        $pr15
                        [
                            string-length(.) > 27
                        ]
                     )"/>
    
    
    <!-- Rule ID: VR.ATO.GEN.500055
         ELS Ref: V7

		     IF LENGTH(pyde.xx.xx:PersonUnstructuredName.FullName.Text) > 200
               RETURN VALIDATION MESSAGE
         ENDIF

		     [pr44] = pyde.xx.xx:PersonUnstructuredName.FullName.Text
    -->
    <assert id="VR.ATO.GEN.500055" diagnostics="DVR.ATO.GEN.500055"
            test="not(
                        $pr44rptac
                        [
                            string-length(.) > 200
                        ]
                        or
                        $pr44inttac
                        [
                            string-length(.) > 200
                        ]
                     )"/>
  </rule>
    
</pattern>