﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  
  <diagnostic id="DVR.ATO.PR.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000001</Code>
      <Description>Australian address details incomplete</Description>
      <LongDescription>For an Australian address, Street name and number, Locality Name, State or Territory Code, and Post Code are required</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000002</Code>
      <Description>Overseas address details incomplete</Description>
      <LongDescription>For an overseas address, only Street name and number, Locality Name, and Country Code are required</LongDescription>
      <Location>pyde.02.08:AddressDetails.Country.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000003</Code>
      <Description>State and postcode are required for Australian addresses</Description>
      <LongDescription>Postcode, State, and country are missing.  Determine whether the address is Australian or overseas and correct accordingly.</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000013" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000013</Code>
      <Description>Email Address must not exceed 200 characters</Description>
      <LongDescription>For Email Address, the maximum allowable characters for this form is 200</LongDescription>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000020</Code>
      <Description>Address line 1 must not exceed 38 characters</Description>
      <LongDescription>For Address line 1, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000021" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000021</Code>
      <Description>Address line 2 must not exceed 38 characters</Description>
      <LongDescription>For Address line 2, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000028" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000028</Code>
      <Description>Declarer Telephone number must not exceed 15 characters</Description>
      <LongDescription>For Declarer Telephone number, the maximum allowable characters for this form is 15</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000030</Code>
      <Description>Maximum number of ATO Audit Reference Number is 4</Description>
      <LongDescription />
      <Location>rvctc3.02.21:Tax.Audit.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000036</Code>
      <Description>Subject to Audit must be present</Description>
      <LongDescription />
      <Location>rvctc3.02.21:Tax.AuditRaised.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000038" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000038</Code>
      <Description>Sought Previous Ruling must be present</Description>
      <LongDescription />
      <Location>rvctc3.02.21:Tax.PrivateRulingSoughtPreviously.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000044" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000044</Code>
      <Description>Declarer Contact Name cannot contain space hyphen space combinations</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000023</Code>
      <Description>Telephone number must not exceed 15 characters</Description>
      <LongDescription>For Declarer Telephone number, the maximum allowable characters for this form is 15</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000040</Code>
      <Description>Your mobile phone number is incorrect</Description>
      <LongDescription>Your Australian mobile phone number should start with 04 and followed by 8 numeric characters</LongDescription>
      <Location>pyde.02.21:ElectronicContact.Telephone.Mobile.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000043" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000043</Code>
      <Description>Main Subject Area must be present</Description>
      <LongDescription />
      <Location>rvctc3.02.21:Tax.PrivateRulingMainSubject.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000045" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000045</Code>
      <Description>Address Line One must contain at least one alphabetical character</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000046" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000046</Code>
      <Description>Address Line Two must contain at least one alphabetical character</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000047" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000047</Code>
      <Description>Maximum number of ATO Previous Ruling Reference Numbers is 4</Description>
      <LongDescription />
      <Location>rvctc3.02.19:Tax.PrivateRulingNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000048" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000048</Code>
      <Description>Invalid Main Subject Area</Description>
      <LongDescription>Value entered is not a valid code/value for that field. </LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000049" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000049</Code>
      <Description>C/- must be followed by a Name and the Address on line two</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000051</Code>
      <Description>Australian Business Number for GST and ICA (Integrated Client Account) must be provided</Description>
      <LongDescription>Australian Business Number for GST and ICA (Integrated Client Account) are both required when GST Registered Indicator is set to True</LongDescription>
      <Location>rvctc3.02.18:GoodsAndServicesTax.Registered.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000057" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000057</Code>
      <Description>Invalid context. Intermediary ABN must not match any Reporting Party or Applicant ABN's.</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000033</Code>
      <Description>Facts Describing the Scheme or Circumstance must be present</Description>
      <LongDescription />
      <Location>rvctc3.02.21:Tax.PrivateRulingFacts.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000035</Code>
      <Description>Locality Name must be present</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000037" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000037</Code>
      <Description>Serious Consideration Indicator is required</Description>
      <LongDescription />
      <Location>rvctc3.02.21:Tax.PrivateRulingArrangementSeriousConsideration.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000061" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000061</Code>
      <Description>GST Registered Indicator must be provided</Description>
      <LongDescription />
      <Location>rvctc3.02.18:GoodsAndServicesTax.Registered.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000062" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000062</Code>
      <Description>Questions and Issues must be present</Description>
      <LongDescription />
      <Location>rvctc3.02.21:Tax.PrivateRulingIssues.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000065" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000065</Code>
      <Description>Reporting Party ABN is invalid</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000078" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000078</Code>
      <Description>Reporting party TFN's mismatch</Description>
      <LongDescription>All reporting party TFN's must be identical</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000081" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000081</Code>
      <Description>Parent Entity ABN is invalid</Description>
      <LongDescription />
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000083" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000083</Code>
      <Description>Entity identifier scheme for Reporting Party invalid</Description>
      <LongDescription>Entity identifier scheme for Reporting Party must be either "http://www.abr.gov.au/abn", "http://www.ato.gov.au/tfn" or "http://www.ato.gov.au/arn"</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000085" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000085</Code>
      <Description>Arrangement Period Description must be provided</Description>
      <LongDescription>Arrangement Period Description is required when Arrangement Start Date is not provided</LongDescription>
      <Location>rvctc3.02.21:Tax.PrivateRulingArrangementPeriodStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000088" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500009</Code>
      <Description>Reporting Party Tax File Number has failed the algorithm check</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000090" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000090</Code>
      <Description>At least one ATO Audit Reference Number must be provided if Subject to Audit is true</Description>
      <LongDescription />
      <Location>rvctc3.02.21:Tax.AuditRaised.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000096" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000096</Code>
      <Description>Locality Name cannot contain "UNKNOWN"</Description>
      <LongDescription>When Locality Name is not known, provide last known address details, and set Address no longer correct</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000100" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000100</Code>
      <Description>Address Line One cannot contain "UNKNOWN"</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000101" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000101</Code>
      <Description>Addresss Line Two cannot contain "UNKNOWN"</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000102" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000102</Code>
      <Description>Address Line Two contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000105" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000105</Code>
      <Description>Postcode must be present</Description>
      <LongDescription>State is present in the address field without a postcode.</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000106" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000106</Code>
      <Description>Telephone number required</Description>
      <LongDescription>Telephone area code number is present without Telephone number.</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000107" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000107</Code>
      <Description>Telephone area code required</Description>
      <LongDescription>Telephone number is present without Telephone area code.</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000108" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000108</Code>
      <Description>Invalid context. The number of Reporting Party Previous Ruling contexts must not exceed 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000112" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000112</Code>
      <Description>Entity identifier scheme for Applicant invalid</Description>
      <LongDescription>Entity identifier scheme for Applicant must be either "http://www.abr.gov.au/abn", "http://www.ato.gov.au/tfn" or "http://www.ato.gov.au/arn"</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000113" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000113</Code>
      <Description>Invalid context. The number of Applicant contexts must not exceed 9.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000114" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000114</Code>
      <Description>Address Line One contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000116" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000116</Code>
      <Description>ATO Registered Number not exceed 12 characters</Description>
      <LongDescription>For ATO Registered Number, the maximum allowable length for this form is 12 characters</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000117" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000117</Code>
      <Description>ATO Registered Number must be numeric</Description>
      <LongDescription>ATO Registered Number must be a numeric field, values nnnnnnnnnnnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000118" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410114</Code>
      <Description>Declaration Signatory Identifier text must be present</Description>
      <LongDescription />
      <Location>pyin.02.00:Declaration.SignatoryIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000120" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000120</Code>
      <Description>State must be present</Description>
      <LongDescription>Postcode is present in the address field without a State code.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000121" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000121</Code>
      <Description>Details of the first 10 clients must be provided</Description>
      <LongDescription>When Additional Clients Indicator is set to 'Yes' (true), the details of the first 10 clients must be provided</LongDescription>
      <Location>pyin.02.25:Interaction.AdditionalEntities.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000123" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000123</Code>
      <Description>Mandatory to provide at least one ATO Previous Ruling Refernce Numbers if Sought Previous Ruling is Yes</Description>
      <LongDescription />
      <Location>rvctc3.02.21:Tax.PrivateRulingSoughtPreviously.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000126" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000126</Code>
      <Description>Applicant ABN is invalid</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000128" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000128</Code>
      <Description>Address field contains incorrect care of reference</Description>
      <LongDescription>Address field contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000129" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000129</Code>
      <Description>Address line Two field contains care of reference</Description>
      <LongDescription>Address line Two field cannot contain 'care of' reference</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000130" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000130</Code>
      <Description>Questions and Issues contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>rvctc3.02.21:Tax.PrivateRulingIssues.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000131" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000131</Code>
      <Description>Facts Describing the Scheme or Circumstance contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>rvctc3.02.21:Tax.PrivateRulingFacts.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000132" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000132</Code>
      <Description>Arguments and References contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>rvctc3.02.21:Tax.PrivateRulingArguments.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000139" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000139</Code>
      <Description>Contact Position contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.18:PersonNameDetails.Position.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000147" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000147</Code>
      <Description>Mobile Phone Number must be numeric</Description>
      <LongDescription>Mobile Phone Number must be a numeric field, values nnnnnnnnnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>pyde.02.21:ElectronicContact.Telephone.Mobile.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000148" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000148</Code>
      <Description>Mobile Phone Number must not exceed 10 characters</Description>
      <LongDescription>For Mobile Phone Number, the maximum allowable characters for this form is 10</LongDescription>
      <Location>pyde.02.21:ElectronicContact.Telephone.Mobile.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000175" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000175</Code>
      <Description>Declarer Position held of person making the declaration must be provided</Description>
      <LongDescription />
      <Location>pyde.02.18:PersonNameDetails.Position.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000176" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000176</Code>
      <Description>Client's reference must not exceed 10 characters</Description>
      <LongDescription>For Client's reference, the maximum allowable characters for this form is 10</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxAgentClientReference.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000177" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000177</Code>
      <Description>Client's reference contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyid.02.00:Identifiers.TaxAgentClientReference.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000178" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000178</Code>
      <Description>Intermediary declarer Australian Business Number has failed the algorithm check</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000182" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000182</Code>
      <Description>Arrangement Start Date required</Description>
      <LongDescription>Arrangement End Date is present without Arrangement Start Date.</LongDescription>
      <Location>rvctc3.02.21:Tax.PrivateRulingArrangementPeriodEnd.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000183" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000183</Code>
      <Description>Arrangement Start Date must be prior to Arrangement End Date</Description>
      <LongDescription />
      <Location>rvctc3.02.21:Tax.PrivateRulingArrangementPeriodStart.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000184" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000184</Code>
      <Description>GST Registered Indicator must be provided</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000185" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000185</Code>
      <Description>Contact Position must not exceed 50 characters</Description>
      <LongDescription>For Contact Position, the maximum allowable characters for this form is 50</LongDescription>
      <Location>pyde.02.18:PersonNameDetails.Position.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
    
  <diagnostic id="DVR.ATO.PR.000186" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000186</Code>
      <Description>Declarer position must not exceed 50 characters</Description>
      <LongDescription>For Declarer position, the maximum allowable characters for this form is 50</LongDescription>
      <Location>pyde.02.18:PersonNameDetails.Position.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000187" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000187</Code>
      <Description>ATO Audit Reference Number contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>rvctc3.02.21:Tax.Audit.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000188" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000188</Code>
      <Description>Arrangement Period Description contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>rvctc3.02.21:Tax.PrivateRulingPeriodEvent.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000189" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000189</Code>
      <Description>ATO Previous Ruling Reference Numbers contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>rvctc3.02.19:Tax.PrivateRulingNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000190" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000190</Code>
      <Description>Declarer Position held of person making the declaration contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.18:PersonNameDetails.Position.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000192" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000192</Code>
      <Description>Individual or Non-individual details must be provided</Description>
      <LongDescription>Either the Individual Family name must be provided for individuals or the Non-Individual Name must be provided for non-individuals. For non-individuals, Individual Family name and Contact position may also be provided.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000193" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000193</Code>
      <Description>Non-individual details are incomplete</Description>
      <LongDescription>When a Contact Position is provided, indicating a private ruling submission by a non-individual, then both Individual Family name (for contact) and Non-individual Name are required.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000230" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000230</Code>
      <Description>Non-individual details are incomplete</Description>
      <LongDescription>When both Individual Family name and Non-individual Name are provided, indicating a private ruling submission by a non-individual, then Contact position is also required.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
    
  <diagnostic id="DVR.ATO.PR.000200" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000200</Code>
      <Description>Invalid context. The number of Applicant Parent contexts must not exceed 1 for each Applicant context.</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000201" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000201</Code>
      <Description>Reporting party ARN's mismatch</Description>
      <LongDescription>All reporting party ARN's must be identical</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000202" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000202</Code>
      <Description>Invalid context. The number of Reporting Party Parent contexts must not exceed 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000204" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000204</Code>
      <Description>Invalid context. All Report Party scheme's must be identical.</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000205" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000205</Code>
      <Description>Reporting Party or Applicant ABN is invalid</Description>
      <LongDescription>Invalid context. Reporting Party or Applicant ABN must not match any other Reporting Party or Applicant ABN's.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
    
  <diagnostic id="DVR.ATO.PR.000206" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000206</Code>
      <Description>Reporting Party or Applicant TFN is invalid</Description>
      <LongDescription>Invalid context. Reporting Party or Applicant TFN must not match any other Reporting Party or Applicant TFN's.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000207" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000207</Code>
      <Description>Reporting Party or Applicant ARN is invalid</Description>
      <LongDescription>Invalid context. Reporting Party or Applicant ARN must not match any other Reporting Party or Applicant ARN's.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!--<diagnostic id="DVR.ATO.PR.000208" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000208</Code>
      <Description>ABN of an Applicant Parent context must match an Applicant context</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>-->

  <!--<diagnostic id="DVR.ATO.PR.000209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000209</Code>
      <Description>TFN of an Applicant Parent context must match an Applicant context</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>-->

  <diagnostic id="DVR.ATO.GEN.000209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <!--<diagnostic id="DVR.ATO.PR.000210" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000210</Code>
      <Description>ARN of an Applicant Parent context must match an Applicant context</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>-->

  <diagnostic id="DVR.ATO.PR.000211" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000211</Code>
      <Description>Reporting party ABN's mismatch</Description>
      <LongDescription>All reporting party ABN's must be identical</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000212" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000212</Code>
      <Description>Applicant Tax File Number has failed the algorithm check</Description>
      <LongDescription />
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000213" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000213</Code>
      <Description>Australian Business Number for GST and ICA (Integrated Client Account) must be provided</Description>
      <LongDescription>Australian Business Number for GST and ICA (Integrated Client Account) are both required when GST Registered Indicator is set to True</LongDescription>
      <Location>rvctc3.02.18:GoodsAndServicesTax.Registered.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  

  <diagnostic id="DVR.ATO.PR.000214" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000214</Code>
      <Description>ATO Registered Number must be numeric</Description>
      <LongDescription>ATO Registered Number must be a numeric field, values nnnnnnnnnnnn where n is a digit 0 to 9 only to be used.</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000215" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000215</Code>
      <Description>ATO Registered Number not exceed 12 characters</Description>
      <LongDescription>For ATO Registered Number, the maximum allowable length for this form is 12 characters</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000216" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000216</Code>
      <Description>Invalid context. For each Applicant Parent context provided, there must be a matching Applicant context.</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000217" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000217</Code>
      <Description>Parent Entity ABN is invalid</Description>
      <LongDescription />
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000218" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000218</Code>
      <Description>Invalid context. The number of Applicant contexts must be 0 for non-Tax Practitioners.</Description>
      <LongDescription>Additional clients for private rulings may only be provided when the request is submitted via a Tax Practitioner with a valid Declarer Registered Agent Number</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000219" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000219</Code>
      <Description>Additional Clients Indicator must not be set for non-Tax Practitioners</Description>
      <LongDescription>Additional clients for private rulings may only be provided when the request is submitted via a Tax Practitioner with a valid Declarer Registered Agent Number</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.PR.000220" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000220</Code>
      <Description>Attachments containing additional client details must be submitted with the request</Description>
      <LongDescription>When Additional Clients Indicator is set to 'Yes' (true), attachments containing the additional client details must be submitted with the request</LongDescription>
      <Location>pyin.02.25:Interaction.AdditionalEntities.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000224" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000224</Code>
      <Description>Australian Business Number for GST is invalid</Description>
      <LongDescription />
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000225" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000225</Code>
      <Description>Australian Business Number for GST is invalid</Description>
      <LongDescription />
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.000459" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000459</Code>
      <Description>Title is invalid</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.000470" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000470</Code>
      <Description>Title is provided without Family Name</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.000471" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000471</Code>
      <Description>First name is provided without Family name</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410038" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410038</Code>
      <Description>Non-individual name field cannot start with 'T/A' and end with 'Pship, P'ship or P/Ship'</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410039</Code>
      <Description>Organisation name must contain at least one alpha or numeric character</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410040</Code>
      <Description>Family name must contain at least one alphabetical character</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410128" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410128</Code>
      <Description>Declaration Statement Accepted Indicator must be 'TRUE'</Description>
      <LongDescription />
      <Location>pyin.02.00:Declaration.StatementAccepted.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410200" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000424</Code>
      <Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410201" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000426</Code>
      <Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410202" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000436</Code>
      <Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410203" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000437</Code>
      <Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410204" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000438</Code>
      <Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.410206" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428042</Code>
      <Description>Non Individual Name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428036</Code>
      <Description>Invalid State code</Description>
      <LongDescription>The State code in the Current address is not Valid (Valid States are "QLD ","NSW ","VIC ","SA ","WA ","NT ","ACT ","TAS)</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.428041</Code>
      <Description>For an Australian address, postcode is invalid. Valid range is 0200 - 9999</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428231" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000422</Code>
      <Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428247" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410009</Code>
      <Description>The Tax Agent number has failed the Tax Agent number algorithm check</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428258" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000413</Code>
      <Description>Non Individual Name cannot contain space hyphen space combinations</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428259" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000414</Code>
      <Description>Non Individual Name cannot contain "P/L"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428261" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000417</Code>
      <Description>Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428262" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000423</Code>
      <Description>Family Name cannot contain "space hyphen space"</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428263" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000427</Code>
      <Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428264" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000434</Code>
      <Description>First name cannot contain space hyphen space</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.428265" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000439</Code>
      <Description>First name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430222" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430222</Code>
      <Description>Email address must not start or end with an @ symbol</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430223" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430223</Code>
      <Description>Email address must not contain more than one @ symbol</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430224" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430224</Code>
      <Description>Email address must not start or end with a dot (.)</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430226" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430226</Code>
      <Description>Email address must not contain more than one consecutive dots (..)</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430227" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430227</Code>
      <Description>Email address must not contain a dot followed by a @ symbol (.@)</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430228" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430228</Code>
      <Description>Email address must not contain a @ symbol followed by a dot (@.)</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430230" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430230</Code>
      <Description>Email address must contain an @ symbol</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430231" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430231</Code>
      <Description>An email address must not start with a space or include a space within it</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430232" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430232</Code>
      <Description>Email address must contain a dot (.)</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.436001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.436001</Code>
      <Description>An individual's first name must begin with an alpha character in the range 'A to Z' or 'a to z'</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500000" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500000</Code>
      <Description>Suburb/Town/City must not contain numeric characters when an Australian address is provided</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500010</Code>
      <Description>Suburb/Town/City must not contain state code when an Australian address is provided</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500011</Code>
      <Description>State and postcode must not be present for non-Australian addresses</Description>
      <LongDescription>Country name is present with State or postcode in the address field.  Determine whether the address is Australian or overseas and correct accordingly.</LongDescription>
      <Location>pyde.02.08:AddressDetails.Country.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500016" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500016</Code>
      <Description>Individual Family name must not exceed 30 characters</Description>
      <LongDescription>For Individual Family name, the maximum allowable characters for this form is 30</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500017</Code>
      <Description>Individual First given name must not exceed 15 characters</Description>
      <LongDescription>For Individual First given name, the maximum allowable characters for this form is 15</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500020</Code>
      <Description>Suburb/Town/City must not exceed 27 characters</Description>
      <LongDescription>For Locality Name, the maximum allowable characters for this form is 27</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500023</Code>
      <Description>Non-Individual Name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500024</Code>
      <Description>Individual Family name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500025" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500025</Code>
      <Description>Individual First given name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500028" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500028</Code>
      <Description>Suburb/Town/City contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500029" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500029</Code>
      <Description>Email Address contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - _ = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500030</Code>
      <Description>Invalid context. Period start date must be the same across all duration contexts.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500033</Code>
      <Description>Invalid context. Period end date must be the same across all duration contexts.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500035</Code>
      <Description>Invalid context. Period start date cannot be any day in the future.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

	<diagnostic id="DVR.ATO.GEN.500037" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500037</Code>
			<Description>Declarer Contact Name contains invalid text</Description>
			<LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

  <diagnostic id="DVR.ATO.GEN.500039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500039</Code>
      <Description>Address Line 1 must be present</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500046" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500046</Code>
      <Description>Invalid context. The number of RP.TrueAndCorrect contexts must not exceed 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500047" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500047</Code>
      <Description>Invalid context. The number of Intermediary.TrueAndCorrect contexts must not exceed 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500051</Code>
      <Description>Entity identifier scheme for Intermediary.TrueAndCorrect must be "http://www.abr.gov.au/abn"</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500055" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500055</Code>
      <Description>Declarer Contact Name must not exceed 200 characters</Description>
      <LongDescription>For Declarer contact name, the maximum allowable characters for this form is 200</LongDescription>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
	
	<diagnostic id="DVR.ATO.GEN.500056" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500056</Code>
      <Description>Declarer contact name must be provided</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500060" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500060</Code>
      <Description>Contact telephone details must be provided</Description>
      <LongDescription>Declarer telephone area code and telephone number must be provided</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500061" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500061</Code>
      <Description>Telephone number is required, if an area code is provided</Description>
      <LongDescription>Declarer telephone number is required when Declarer telephone area code is provided</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PR.000174" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PR.000174</Code>
      <Description>Declarer Telephone Area code is required, if a Declarer Telephone number is provided</Description>
      <LongDescription />
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500066" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430255</Code>
      <Description>Signature date must not be later than today</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500067" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.307004</Code>
      <Description>Declaration Signature Date is required</Description>
      <LongDescription>Intermediary or Report Party declaration signatory date is required</LongDescription>
      <Location>pyin.02.00:Declaration.Signature.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500068" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410078</Code>
      <Description>Declaration Statement Accepted Indicator must be present</Description>
      <LongDescription />
      <Location>pyin.02.00:Declaration.StatementAccepted.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500069" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500069</Code>
      <Description>Declarer identifier contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - _ = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyin.02.00:Declaration.SignatoryIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

</diagnostics>
